@keyframes movebounce {
    0% { transform: translateY(0); }
    50% { transform: translateY(20px); }
    100% { transform: translateY(0); }
}

@keyframes movebounce-x {
    0% { transform: translateX(0); }
    50% { transform: translateX(20px); }
    100% { transform: translateX(0); }
}

@keyframes bounceIn {
    0%, 20%, 40%, 60%, 80%, to { animation-timing-function: cubic-bezier(.215,.61,.355,1); }
    0% { opacity: 0; transform: scale3d(.3,.3,.3); }
    20% { transform: scale3d(1.1,1.1,1.1); }
    40% { transform: scale3d(.9,.9,.9); }
    60% { opacity: 1; transform: scale3d(1.03,1.03,1.03); }
    80% { transform: scale3d(.97,.97,.97); }
    to { opacity: 1; transform: scaleX(1); }
}

.banner-promotion-01 {
    display: block;
    position: relative;
    width: 100%;
}

.biolife-banner__promotion {
    display: inline-block;
    width: 100%;
    background-image: url("../img/home-03/bg_banner_pomotion_org.png");
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    overflow: hidden;
}

.biolife-banner__promotion .media .img-moving {
    display: inline-block;
    position: absolute;
    z-index: 5;
}

.biolife-banner__promotion .media .position-1 img {
    animation: movebounce 5s ease-in-out infinite;
}

.biolife-banner__promotion .media .position-2 img {
    animation: movebounce 4.5s ease-in-out 0.5s infinite;
}

.biolife-banner__promotion .media .position-3 img {
    animation: movebounce 6s ease-in-out 1s infinite;
}

.biolife-banner__promotion .media .position-4 img {
    animation: movebounce 5.5s ease-in-out 1.5s infinite;
}

/* Corner Image Positions */
.biolife-banner__promotion .media .position-corner-left-top {
    top: -50%;
    left: 2%;
}
.biolife-banner__promotion .media .position-corner-right-top {
    top: -50%;
    right: 2%;
}
.biolife-banner__promotion .media .position-corner-left-bottom {
    bottom: 5%;
    left: 2%;
}

.biolife-banner__promotion .media .position-corner-left-top img {
    animation: movebounce 4s ease-in-out infinite;
}
.biolife-banner__promotion .media .position-corner-right-top img {
    animation: movebounce 4.5s ease-in-out 0.5s infinite;
}
.biolife-banner__promotion .media .position-corner-left-bottom img {
    animation: movebounce 5s ease-in-out 1s infinite;
}

.biolife-banner__promotion .text-content {
    position: absolute;
    top: -100px;
    left: 20%;
    width: 40%;
    line-height: 1;
    display: inline-block;
    padding-top: 217px;
    z-index: 10;
    background-color: transparent !important;
}

.biolife-banner__promotion .text-content .text-wrap {
    padding-left: 0;
}

.biolife-banner__promotion .text-content .first-line {
    font-size: 30px;
    line-height: 35px;
    font-family: 'Playfair Display', sans-serif;
    color: #ffffff;
    display: block;
    margin: 0;
    max-width: 370px;
}

.biolife-banner__promotion .text-content .second-line {
    display: block;
    margin: 6px 0 0;
    font-size: 60px;
    line-height: 55px;
    color: #ffffff;
    font-weight: 700;
    max-width: 370px;
}

.biolife-banner__promotion .text-content .third-line {
    font-size: 16px;
    line-height: 24px;
    display: block;
    margin: 22px 0 0;
    color: #ffffff;
    max-width: 370px;
}

.biolife-banner__promotion .product-detail {
    display: block;
    margin-top: 32px;
    max-width: 370px;
}

.biolife-banner__promotion .product-detail .txt-price {
    font-size: 40px;
    line-height: 1;
    font-weight: 700;
    color: #ffffff;
    display: inline-block;
    margin: 0 30px 0 0;
}

.biolife-banner__promotion .product-detail .txt-price span {
    font-size: 20px;
    font-weight: 400;
    margin-right: 3px;
}

.biolife-banner__promotion .product-detail .add-to-cart-btn {
    display: inline-block;
    font-size: 14px;
    color: #ffffff;
    font-weight: 700;
    text-transform: uppercase;
    text-align: center;
    border: none;
    border-radius: 999px;
    vertical-align: top;
    background: #87be00;
    min-width: 168px;
    padding: 13px;
    text-decoration: none;
}

.biolife-banner__promotion .product-detail .add-to-cart-btn:hover {
    background-color: #444444;
}

.biolife-banner__promotion {
    height: 800px;
    background-position: center;
}


/* ------------------ */

.media{
    display: block !important;
}

.biolife-banner__promotion .media .position-3 {
    right:5% !important;
    top: 0% !important;
}

.biolife-banner__promotion .media .position-4 {
    right: 0% !important;
    bottom: 60% !important;
}

.biolife-banner__promotion .text-content {
    display: none !important;
}

/* Targets the wrapper div */
.biolife-banner__promotion .media .img-moving {
    width: 75px !important;
    height: 75px !important;
}
/* Ensures the image inside scales to fit the 100px wrapper */
.biolife-banner__promotion .media .img-moving img {
    width: 100% !important;
    height: 100% !important;
    object-fit: contain;
}

@media (min-width: 320px) and (max-width: 360px) {

    .media{
        display: block !important;
    }
    .biolife-banner__promotion{
        height: 300px!important;
        background-position:right!important
    }

    .biolife-banner__promotion .media .position-1 {
        left: 5% !important;
        top: 0% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left: -3%!important;
        bottom: 60% !important;
    }
}


@media (min-width: 360px) and (max-width: 480px) {

    .biolife-banner__promotion {
        height: 350px !important;
        background-position: 85% !important;
    }

    .biolife-banner__promotion .media .position-1 {
        left: 20% !important;
        top: 0% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left: 10%!important;
        bottom: 60% !important;
    }
}

@media (min-width: 481px) and (max-width: 767px) {

    .biolife-banner__promotion {
        height: 550px !important;
        background-position:  85% !important;
    }

    .biolife-banner__promotion .media .position-1 {
        left: 15% !important;
        top: 0% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left: 10%!important;
        bottom: 60% !important;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .biolife-banner__promotion .media .img-moving {
        width: 100px !important;
        height: 100px !important;
    }

    .biolife-banner__promotion {
        height: 600px !important;
        background-position:  85% !important;
    }

    .biolife-banner__promotion .media .position-1 {
        left: 30% !important;
        top: 0% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left:20%!important;
        bottom: 60% !important;
    }
}

@media (min-width: 992px) and (max-width:1200px) {

    .biolife-banner__promotion .media .img-moving {
        width: 100px !important;
        height: 100px !important;
    }

    .biolife-banner__promotion {
        height: 600px !important;
        background-position: right !important;
    }

    .biolife-banner__promotion .media .position-1 {
        left: 40% !important;
        top: 0% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left:30%!important;
        bottom: 60% !important;
    }

}

@media (min-width: 1201px) and (max-width:1400px) {
    .biolife-banner__promotion .media .img-moving {
        width: 150px !important;
        height: 150px !important;
    }

    .biolife-banner__promotion {
        height: 600px !important;
        background-position: right !important;
    }

    .biolife-banner__promotion .text-content {
        top: -40%;
        left: 15%;
        display: block !important;
    }

    .biolife-banner__promotion .media .position-1 {
        left: 45% !important;
        top: 0% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left:35%!important;
        bottom:30% !important
    }

    .biolife-banner__promotion .media .position-4{
        right: 0% !important;
        bottom: 30% !important;
    }

}

@media (min-width: 1401px){
        .biolife-banner__promotion .media .img-moving {
        width: 150px !important;
        height: 150px !important;
    }

    .biolife-banner__promotion {
        height: 800px !important;
        background-position: right !important;
    }

    .biolife-banner__promotion .text-content {
        top: -30%;
        left: 15%;
        display: block !important;
    }

    
    .biolife-banner__promotion .media .position-1 {
        left: 40% !important;
        top: -20% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left: 30% !important;
        bottom: 50% !important;
    }

    .biolife-banner__promotion .media .position-3{
        right: 5% !important;
    top: -20% !important;
    }

        .biolife-banner__promotion .media .position-4{
        right: 0% !important;
        bottom: 50% !important;
    }

}


@media (min-width: 1401px) and (max-width:2000px) {
    .biolife-banner__promotion .media .position-1 {
        left: 45% !important;
        top: -20% !important;
    }

    .biolife-banner__promotion .media .position-2 {
        left: 35% !important;
        bottom: 50% !important;
    }
}